package cn.com.tenlion.staff.pojo.dtos.basicstaffinfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: BasePopulationInfoDTO
 * @Description: 人员信息基础表
 * @Author: WenG
 * @Date: 2020-11-16 17:17
 * @Version: 1.0
 **/
@ApiModel
public class BasicStaffInfoDTO {

    @ApiModelProperty(name = "basicStaffInfoId", value = "主键")
    private String basicStaffInfoId;
    @ApiModelProperty(name = "cardType", value = "证件类型")
    private String cardType;
    @ApiModelProperty(name = "idCardNumber", value = "证件号码")
    private String idCardNumber;
    @ApiModelProperty(name = "fullName", value = "全名")
    private String fullName;
    @ApiModelProperty(name = "nameUsedBefore", value = "曾用名")
    private String nameUsedBefore;
    @ApiModelProperty(name = "gender", value = "性别")
    private String gender;
    @ApiModelProperty(name = "birthDate", value = "出生日期")
    private String birthDate;
    @ApiModelProperty(name = "nation", value = "民族")
    private String nation;
    @ApiModelProperty(name = "nativePlace", value = "籍贯")
    private String nativePlace;
    @ApiModelProperty(name = "nativePlaceAddr", value = "籍贯详细地址")
    private String nativePlaceAddr;
    @ApiModelProperty(name = "politicalStatus", value = "政治面貌")
    private String politicalStatus;
    @ApiModelProperty(name = "maritalStatus", value = "婚姻情况")
    private String maritalStatus;
    @ApiModelProperty(name = "education", value = "学历")
    private String education;
    @ApiModelProperty(name = "religion", value = "宗教信仰")
    private String religion;
    @ApiModelProperty(name = "occupationCategory", value = "职业类别")
    private String occupationCategory;
    @ApiModelProperty(name = "occupation", value = "职业")
    private String occupation;
    @ApiModelProperty(name = "serviceSpace", value = "服务处所")
    private String serviceSpace;
    @ApiModelProperty(name = "telephone", value = "联系方式(手机号码或固话)")
    private String telephone;
    @ApiModelProperty(name = "registeredResidence", value = "户籍地")
    private String registeredResidence;
    @ApiModelProperty(name = "registeredResidenceAddr", value = "户籍详细地址")
    private String registeredResidenceAddr;
    @ApiModelProperty(name = "currentResidence", value = "现住地")
    private String currentResidence;
    @ApiModelProperty(name = "currentResidenceAddr", value = "现住地详细地址")
    private String currentResidenceAddr;
    @ApiModelProperty(name = "userPhotoId", value = "用户头像")
    private String userPhotoId;
    @ApiModelProperty(name = "idCardFront", value = "身份证正面")
    private String idCardFront;
    @ApiModelProperty(name = "idCardBack", value = "身份证北面")
    private String idCardBack;
    @ApiModelProperty(name = "educationPhoto", value = "学历证书")
    private String educationPhoto;
    @ApiModelProperty(name = "bodyExamPhoto", value = "体检表")
    private String bodyExamPhoto;
    @ApiModelProperty(name = "bindUserAccount", value = "绑定用户ID")
    private String bindUserAccount;
    @ApiModelProperty(name = "tags", value = "用户标签")
    private String tags;

    public String getBasicStaffInfoId() {
        return basicStaffInfoId == null ? "" : basicStaffInfoId;
    }

    public void setBasicStaffInfoId(String basicStaffInfoId) {
        this.basicStaffInfoId = basicStaffInfoId;
    }

    public String getCardType() {
        return cardType == null ? "" : cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getIdCardNumber() {
        return idCardNumber == null ? "" : idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getFullName() {
        return fullName == null ? "" : fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getNameUsedBefore() {
        return nameUsedBefore == null ? "" : nameUsedBefore;
    }

    public void setNameUsedBefore(String nameUsedBefore) {
        this.nameUsedBefore = nameUsedBefore;
    }

    public String getGender() {
        return gender == null ? "" : gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getBirthDate() {
        return birthDate == null ? "" : birthDate;
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public String getNation() {
        return nation == null ? "" : nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNativePlace() {
        return nativePlace == null ? "" : nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getNativePlaceAddr() {
        return nativePlaceAddr == null ? "" : nativePlaceAddr;
    }

    public void setNativePlaceAddr(String nativePlaceAddr) {
        this.nativePlaceAddr = nativePlaceAddr;
    }

    public String getPoliticalStatus() {
        return politicalStatus == null ? "" : politicalStatus;
    }

    public void setPoliticalStatus(String politicalStatus) {
        this.politicalStatus = politicalStatus;
    }

    public String getMaritalStatus() {
        return maritalStatus == null ? "" : maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public String getEducation() {
        return education == null ? "" : education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getReligion() {
        return religion == null ? "" : religion;
    }

    public void setReligion(String religion) {
        this.religion = religion;
    }

    public String getOccupationCategory() {
        return occupationCategory == null ? "" : occupationCategory;
    }

    public void setOccupationCategory(String occupationCategory) {
        this.occupationCategory = occupationCategory;
    }

    public String getOccupation() {
        return occupation == null ? "" : occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getServiceSpace() {
        return serviceSpace == null ? "" : serviceSpace;
    }

    public void setServiceSpace(String serviceSpace) {
        this.serviceSpace = serviceSpace;
    }

    public String getTelephone() {
        return telephone == null ? "" : telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getRegisteredResidence() {
        return registeredResidence == null ? "" : registeredResidence;
    }

    public void setRegisteredResidence(String registeredResidence) {
        this.registeredResidence = registeredResidence;
    }

    public String getRegisteredResidenceAddr() {
        return registeredResidenceAddr == null ? "" : registeredResidenceAddr;
    }

    public void setRegisteredResidenceAddr(String registeredResidenceAddr) {
        this.registeredResidenceAddr = registeredResidenceAddr;
    }

    public String getCurrentResidence() {
        return currentResidence == null ? "" : currentResidence;
    }

    public void setCurrentResidence(String currentResidence) {
        this.currentResidence = currentResidence;
    }

    public String getCurrentResidenceAddr() {
        return currentResidenceAddr == null ? "" : currentResidenceAddr;
    }

    public void setCurrentResidenceAddr(String currentResidenceAddr) {
        this.currentResidenceAddr = currentResidenceAddr;
    }

    public String getUserPhotoId() {
        return userPhotoId == null ? "" : userPhotoId;
    }

    public void setUserPhotoId(String userPhotoId) {
        this.userPhotoId = userPhotoId;
    }

    public String getIdCardFront() {
        return idCardFront == null ? "" : idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardBack() {
        return idCardBack == null ? "" : idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getEducationPhoto() {
        return educationPhoto == null ? "" : educationPhoto;
    }

    public void setEducationPhoto(String educationPhoto) {
        this.educationPhoto = educationPhoto;
    }

    public String getBodyExamPhoto() {
        return bodyExamPhoto == null ? "" : bodyExamPhoto;
    }

    public void setBodyExamPhoto(String bodyExamPhoto) {
        this.bodyExamPhoto = bodyExamPhoto;
    }

    public String getBindUserAccount() {
        return bindUserAccount == null ? "" : bindUserAccount;
    }

    public void setBindUserAccount(String bindUserAccount) {
        this.bindUserAccount = bindUserAccount;
    }

    public String getTags() {
        return tags == null ? "" : tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }
}
